Moose::Meta::TypeCoercion::Union(3)

NAME
Moose::Meta::TypeCoercion::Union - The Moose Type Coercion metaclass for Unions

VERSION
version 2.0205

DESCRIPTION
This is a subclass of Moose::Meta::TypeCoercion that is used for Moose::Meta::TypeConstraint::Union objects. =head1 METHODS

$coercion->has_coercion_for_type
    This method always returns false.

$coercion->add_type_coercions
    This method always throws an error. You cannot add coercions to a union type coercion.

$coercion->coerce($value)
    This method will coerce by trying the coercions for each type in the union.

BUGS
See "BUGS" in Moose for details on reporting bugs.

AUTHOR
Stevan Little <stevan@iinteractive.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2011 by Infinity Interactive, Inc..

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.